%define name syslog-ng
%define major 1
%define minor 6
%define subver 2
%define release 1
%define version %{major}.%{minor}.%{subver}%{?rcrel:rc%{rcrel}}
%define prefix /usr
%define libol 0.3.13

Summary: syslog-ng system logger
Name: %{name}
Version: %{version}
Release: %{release}
Group: System Environment/Daemons
License: GPL
Url: http://www.balabit.hu/products/syslog-ng/
Vendor: BalaBit IT Ltd.
Source0: http://www.balabit.hu/downloads/%{name}/%{major}.%{minor}/src/%{name}-%{version}.tar.gz
Source1: syslog-ng.init
Source2: syslog-ng.conf
Source3: syslog-ng.logrotate
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
# It needs for packages depends on sysklogd package contains syslogd and klogd
Provides: sysklogd
Requires: libol >= %{libol}
BuildRequires: libol >= %{libol}
BuildRequires: libol-devel >= %{libol}

%description
syslog-ng is the next generation of the syslog daemon. syslog-ng gives you
the flexibility of logging not only by facility and severity, but also by
host, message content, date, etc. It can also replace klogd's function of
logging kernel messages.

%prep
%setup

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}/etc/syslog-ng
mkdir -p %{buildroot}/etc/logrotate.d
#  NOTE: Install syslog-ng in /sbin instead of the prefix (/usr usually).
%makeinstall \
	prefix=%{buildroot}%{prefix} \
	sbindir=%{buildroot}/sbin
cp %{SOURCE1} %{buildroot}%{_initrddir}/syslog-ng
cp %{SOURCE2} %{buildroot}/etc/syslog-ng/syslog-ng.conf
cp %{SOURCE3} %{buildroot}/etc/logrotate.d/syslog-ng
(cd doc/sgml; tar xzf syslog-ng.html.tar.gz; rm syslog-ng.html.tar.gz)

%post
if [ "$1" = "1" ]; then # no upgrade, first install
	/sbin/chkconfig --add %{name}
	/sbin/chkconfig --level 2345 %{name} on
fi
service %{name} condrestart

%preun
if [ "$1" = "0" ]; then # no upgrade, package deleted
	service %{name} stop || :
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS
%doc doc/syslog-ng.conf.demo doc/syslog-ng.conf.sample doc/sgml/syslog-ng.*
%doc contrib/syslog-ng.conf.doc contrib/syslog-ng.vim
%attr(0755,root,root) %doc contrib/syslog2ng
%config(noreplace) /etc/syslog-ng/syslog-ng.conf
%config /etc/logrotate.d/syslog-ng
%attr(0755,root,root) /sbin/syslog-ng
%attr(0755,root,root) %config %{_initrddir}/syslog-ng
%{_mandir}/man?/*

%clean
rm -r %{buildroot}
